Bug 71105 - Keyboard configurator does not support the "US w/ deadkeys" layout
Keyboard configurator does not support the "US w/ deadkeys" layout
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-keyboard (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-08 16:09 EDT by Celso K. Webber
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-11 11:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Celso K. Webber 2002-08-08 16:09:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
On previous Red Hat Linux versions, it was possible during the installation to
enable "dead keys" for the US keyboard layout. US keyboard layouts are very
common in Brazil, and usually can produce accented characters by typing a
"dead-key" (such as single quote) followed by a "accentable" character.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
There is no possibility of choosing this 'US International' keyboard layout.
	

Additional info:

It is possible to go to /etc/X11/XF86Config and change the line:
Option  "XkbLayout"     "us"
as:
Option  "XkbLayout"     "us_intl"

The text-mode "kbdconfig" utility is able to load the "us-acentos" keymap, which
is used to enable the dead keys in the US keyboard layout.

Unfortunately, under X it is not possible to achieve the same effect of
kbdconfig. In text mode, if you type a single quote followed by an "x", you get:
'x (which is the expected behaviour)

Under X, after changing the keyboard to "us_intl", typing a single quote
followed by an "x" gives you nothing on the screen.
Comment 1 Brent Fox 2002-08-11 11:19:51 EDT
I've added a line for U.S. International keyboards which uses us-acentos for the
terminal keymap and us_intl for X.  

QA, please verify this in redhat-config-keyboard with rhpl-0.35.1
Comment 2 Jay Turner 2002-08-13 10:21:45 EDT
Fix confirmed with redhat-config-keyboard-0.9.9-2.

Note You need to log in before you can comment on or make changes to this bug.